OpenVDB 13.0.0

Loading...
Searching...
No Matches
SOP_NodeVDB.h File Reference

Base class for OpenVDB plugins. More...

`#include <houdini_utils/ParmFactory.h>`
`#include <openvdb/openvdb.h>`
`#include <openvdb/Platform.h>`
`#include <SOP/SOP_Node.h>`
`#include <UT/UT_DSOVersion.h>`
`#include "SOP_VDBVerbUtils.h"`
`#include <iosfwd>`
`#include <string>`

Go to the source code of this file.

## Classes
class | OpenVDBOpFactory
| Use this class to register a new OpenVDB operator (SOP, POP, etc.). More...
class | SOP_NodeVDB
| Base class from which to derive OpenVDB-related Houdini SOPs. More...

## Namespaces
namespace | openvdb_houdini
namespace | openvdb_houdini::node_info_text
| Namespace to hold functionality for registering info text callbacks. Whenever getNodeSpecificInfoText() is called, the default info text is added to MMB output unless a valid callback has been registered for the grid type.

## Typedefs
using | ApplyGridSpecificInfoText = void (*)(std::ostream&, const openvdb::GridBase&)

## Functions
void | registerGridSpecificInfoText (const std::string &gridType, ApplyGridSpecificInfoText callback)
| Register an info text callback to a specific grid type.
template<typename GridType>
void | registerGridSpecificInfoText (ApplyGridSpecificInfoText callback)
| Register an info text callback to a templated grid type.

## Detailed Description

Base class for OpenVDB plugins.

Author
  FX R&D OpenVDB team